#31773 – Akeeba Strapper not installed

Posted in ‘Akeeba Admin Tools for Joomla!’
This is a public ticket. Everybody will be able to see its contents. Do not include usernames, passwords or any other sensitive information.
Wednesday, 18 September 2019 06:48 CDT
I have just noticed when comparing websites that I manage which use

Admin Tools 5.3.4 PRO

and

Backup 6.6.0 PRO

that some have Akeeba Strapper 2.5.4 installed and others don't.

I do not recall having separately installed Strapper on any of these websites and assumed that Strapper was installed and updated with either Admin Tools or Backup updates.

I see Strapper 3.0.2 listed on the Akeeba DOWNLOADS page.

So I am a little confused.

Especially so as all my sites appear to be working correctly.

QUESTIONS

1) Do I need to manually install Strapper on the sites which use Admin Tools + Backup but do not have Strapper installed?

2) Should I install Strapper 3.0.2 on sites which have Strapper (v2.5.4)?

I am assuming YES is the answer to Q2 because it is a later version.

3) But why has Strapper (where installed) not been updating when I update Admin Tools or Backup/

Thanks for your great support.

Ken :)
Custom Fields
Joomla! version (in x.y.z format) 3.9.11
PHP version (in x.y.z format) 7.2.22
Admin Tools version (x.y.z format) 5.3.4
 
wynchcote
Wednesday, 18 September 2019 07:01 CDT
Akeeba Strapper is an obsolete library that we have not used in any of our software for over a year. As long as you have Admin Tools 5 or later, Akeeba Backup 6 or later and Akeeba Ticket System 3 or later you no longer need Akeeba Strapper and can safely remove it from your site.

So:

1 & 2. No, do not install or upgrade Akeeba Strapper. It is obsolete and no longer used.

3. Akeeba Strapper was used by Akeeba Backup versions 3, 4 and 5; Admin Tools versions 2, 3 and 4; and Akeeba Ticket System versions 1 and 2. If you had installed any of these extensions Akeeba Strapper was installed with them. Moreover, third party (non Akeeba) software had been using it. Since Joomla does not have dependency management there is no reasonable way to know if it's safe to remove Strapper or not. Therefore it was not removed when updating to Akeeba Backup 6, Admin Tools 5 or Akeeba Ticket System 3.

This is also the reason Strapper is still available for download even though we do not use it anymore. People with really old sites that need to use obsolete versions of our software and users of third party software that makes use of Akeeba Strapper need access to that package. So we still make it available for download.


Nicholas K. Dionysopoulos

Lead Developer and Director



Greek: native

English: excellent

French: basic



Please keep in mind my timezone and cultural differences when reading my replies. Thank you!



nicholas
Wednesday, 18 September 2019 10:20 CDT
Hi Nicholas,

Thanks for clarifying this.

Much appreciated,

Ken :)
 
wynchcote
Thursday, 19 September 2019 00:23 CDT
You're welcome!


Nicholas K. Dionysopoulos

Lead Developer and Director



Greek: native

English: excellent

French: basic



Please keep in mind my timezone and cultural differences when reading my replies. Thank you!



nicholas

Please rate this ticket

Help us improve our support services by rating this ticket from one to five stars, according to how much you are satisfied from the handling of this ticket, one being not satisfied and five being very satisfied.

Support Information

Working hours: Typically we work Monday to Friday, 9am to 7pm Cyprus timezone (EEST). Support is provided by the same developers writing the software, all of which live in Europe. You can still file tickets, but we cannot respond to them, outside of our working hours.

Support policy: We would like to kindly inform you that when using our support you have already agreed to the Support Policy which is part of our Terms of Service. Thank you for your understanding and for helping us help you!

Cookies Notification - Action required

This website uses cookies to provide user authentication and improve your user experience. Please indicate whether you consent to our site placing these cookies on your device. You can change your preference later, from the controls which will be made available to you at the bottom of every page of our site.